Bug 458038 - Enabling Hebrew dictionary slows performance -considerably-
Enabling Hebrew dictionary slows performance -considerably-
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 05:23 EDT by Gilboa Davara
Modified: 2010-04-28 16:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: evolution-2.24.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 16:48:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Evolution strace (134.66 KB, application/gzip)
2008-08-06 05:23 EDT, Gilboa Davara
no flags Details

  None (edit)
Description Gilboa Davara 2008-08-06 05:23:02 EDT
Created attachment 313539 [details]
Evolution strace

Description of problem:
Fresh F9 installation.
Hebrew dictionaries added to the normal English ones.
When only the English dictionary is enabled, evolution works just fine.
One I enable the Hebrew dictionary, evolution crawls down to halt.
Click on New/Reply/Forward hangs for 5-30 seconds with the evolution processing eating 100% CPU and navigating through the mail message body is -very- slow.
trace attached.

Version-Release number of selected component (if applicable):
$ rpm -qa evolution
evolution-2.22.3.1-1.fc9.x86_64
$ rpm -qa \*hunspell\*
hunspell-en-0.20080207-1.fc9.noarch
hunspell-1.2.1-7.fc9.i386
hunspell-1.2.1-7.fc9.x86_64
hunspell-he-1.0-8.fc9.x86_64

How reproducible:
Always.
Comment 1 Gilboa Davara 2008-10-19 23:49:38 EDT
Changed F8 -> F9. (My mistake.)

Any idea how I can help you debug this issue?
Comment 2 Matthew Barnes 2008-10-21 11:48:23 EDT
Would you mind checking whether this is still an issue in Evolution 2.24?

GtkHtml's spell checking was completely rewritten to use Enchant directly instead of going through GnomeSpell.  Not sure if that will make a difference.
Comment 3 Gilboa Davara 2008-10-22 11:35:46 EDT
I'm currently downloading F10 snap 2 DVD,
I'll give it a try and report back.

- Gilboa
Comment 4 Gilboa Davara 2008-12-02 07:34:30 EST
Seems to be working just fine (Read: F8-like) in F10.
Comment 5 Matthew Barnes 2008-12-02 09:22:34 EST
Okay good.  I'll consider this fixed then.
Comment 6 Gilboa Davara 2008-12-09 07:46:43 EST
Spoke too soon. :(
Still seeing it in F10.

- Gilboa
Comment 7 Matthew Barnes 2008-12-09 07:58:35 EST
Reassigning to gtkhtml3, though the issue may be even deeper.
Comment 8 Bug Zapper 2009-06-09 22:23:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Gilboa Davara 2009-06-10 06:01:32 EDT
Seems to be semi-fixed in latest evolution updates.
E.g. Starting a new email with the Hebrew dictionary is active is -very- slow, but once the dictionary is loaded, things are more-or-less back to normal.

However, Hebrew dictionary loading in <=F8 was far faster.

- Gilboa
Comment 10 Bug Zapper 2009-11-18 03:14:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Gilboa Davara 2009-11-25 23:09:06 EST
Still an issue in F11. (I keep Hebrew disabled, only enabling it when I really needed. Takes ~3-4 seconds to enable it on 2Ghz Xeon workstation...)

- Gilboa
Comment 12 Gilboa Davara 2010-01-11 01:38:06 EST
Still and issue in F12.
Comment 13 Bug Zapper 2010-04-27 08:10:53 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Gilboa Davara 2010-04-28 15:31:44 EDT
Fully fixed in current F-12. Please close the bug.

- Gilboa
Comment 15 Matthew Barnes 2010-04-28 16:48:55 EDT
Issue must have been in a lower level library -- enchant or hunspell itself perhaps -- because Evolution spell checking code hasn't really changed for several releases.  Anyway, thanks for the update.  Closing as requested.

Note You need to log in before you can comment on or make changes to this bug.